#include <bits/stdc++.h>
using namespace std;
int n, m, t, br, k;
int mat[1005][1005];

int main() {
    cin >> t;

    while(t--){
        cin >> n >> m;

            if(n != m)
                cout << -1 <<'\n';
            else{
                k = n;
                for(int o = 1; o <= n; o++){
                    for(int i = k; i <= n; i++)
                        mat[i][o] = 1;
                    k--;
            }

            for(int i = 1; i <= n; i++){
            for(int j = 1; j <= m; j++){
                cout << mat[i][j];
            }
        cout << endl;

        }
        }
    }

    return 0;}